Tools, FAQ, Tutorials:
Google OpenID Connect Authentication Request
What is the Google OpenID Connect Authentication Request?
✍: FYIcenter.com
Before deciding which authentication flow you want to implement
in your Web application, you need to have a good understanding of the
Google OpenID Connect authentication request, which is the first call you
have to make in any authentication flow.
Here is an example of Google OpenID Connect authentication request and its parameters:
GET https://accounts.google.com/o/oauth2/v2/auth? client_id=9150833677096-....apps.googleusercontent.com &redirect_uri=http%3A%2F%2Ffyicenter.com%3aopenID_receiver.php &response_type=id_token &scope=openid &nonce=xxxxxx &state=yyyyyy
Here are the parameters you need to provide:
Google also supports some other request parameters:
Note that if there is issue with authentication request, Google OpenID Connect will display an error page to your end user during the sign-on process.
⇒ Initiate Google OpenID Connect Authentication Request
⇐ Google OpenID Connect Metadata Document
2021-03-07, ∼2085🔥, 0💬
Popular Posts:
How to use the "find-and-replace" Policy Statement for an Azure API service operation? The "find-and...
How to use the "set-backend-service" Policy Statement for an Azure API service operation? The "set-b...
How to Install Docker Desktop on Windows 10? You can follow this tutorial to Install Docker Desktop ...
Can Two Forms Be Nested? Can two forms be nested? The answer is no and yes: No. You can not nest two...
How to use "{{...}}" Liquid Codes in "set-body" Policy Statement? The "{{...}}" Liquid Codes in "set...